Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.tags.form
Class OptionsTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.springframework.web.servlet.tags.RequestContextAwareTag
              org.springframework.web.servlet.tags.HtmlEscapingAwareTag
                  org.springframework.web.servlet.tags.form.AbstractFormTag
                      org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
                          org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
                              org.springframework.web.servlet.tags.form.OptionsTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag, TryCatchFinally, EditorAwareTag

    public class OptionsTag

extends AbstractHtmlElementTag

Convenient tag that allows one to supply a collection of objects that are to be rendered as '`option`' tags within a '`select`' tag.

Must be used within a `'select' tag`.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
`CLASS_ATTRIBUTE, DIR_ATTRIBUTE, LANG_ATTRIBUTE, ONCLICK_ATTRIBUTE, ONDBLCLICK_ATTRIBUTE, ONKEYDOWN_ATTRIBUTE, ONKEYPRESS_ATTRIBUTE, ONKEYUP_ATTRIBUTE, ONMOUSEDOWN_ATTRIBUTE, ONMOUSEMOVE_ATTRIBUTE, ONMOUSEOUT_ATTRIBUTE, ONMOUSEOVER_ATTRIBUTE, ONMOUSEUP_ATTRIBUTE, STYLE_ATTRIBUTE, TABINDEX_ATTRIBUTE, TITLE_ATTRIBUTE`

Fields inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
`COMMAND_NAME_VARIABLE_NAME, NESTED_PATH_VARIABLE_NAME`

Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag
`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`OptionsTag()`

Method Summary
`protected BindStatus` | `getBindStatus()` Get the `BindStatus` for this tag.
`protected String` | `getDisabled()` Get the value of the '`disabled`' attribute.
`protected String` | `getItemLabel()` Get the name of the property mapped to the label (inner text) of the '`option`' tag.
`protected Object` | `getItems()` Get the `Collection`, `Map` or array of objects used to generate the inner '`option`' tags.
`protected String` | `getItemValue()` Return the name of the property mapped to the '`value`' attribute of the '`option`' tag.
`protected boolean` | `isDisabled()` Is the current HTML tag disabled?
`protected String` | `resolveId()` Appends a counter to a specified id, since we're dealing with multiple HTML elements.
`void` | `setDisabled(String disabled)` Set the value of the '`disabled`' attribute.
`void` | `setItemLabel(String itemLabel)` Set the name of the property mapped to the label (inner text) of the '`option`' tag.
`void` | `setItems(Object items)` Set the `Collection`, `Map` or array of objects used to generate the inner '`option`' tags.
`void` | `setItemValue(String itemValue)` Set the name of the property mapped to the '`value`' attribute of the '`option`' tag.
`protected int` | `writeTagContent(TagWriter tagWriter)` Subclasses should implement this method to perform tag content rendering.

Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
`getCssClass, getCssErrorClass, getCssStyle, getDir, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getTabindex, getTitle, resolveCssClass, setCssClass, setCssErrorClass, setCssStyle, setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setTabindex, setTitle, writeDefaultAttributes, writeOptionalAttributes`

Methods inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
`autogenerateId, doFinally, getBoundValue, getEditor, getId, getName, getNestedPath, getPath, getPropertyEditor, getPropertyPath, setId, setPath`

Methods inherited from class org.springframework.web.servlet.tags.form.AbstractFormTag
`createTagWriter, doStartTagInternal, evaluate, getDisplayString, getDisplayString, isDefaultHtmlEscape, writeOptionalAttribute`

Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag
`isHtmlEscape, setHtmlEscape`

Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag
`doCatch, doStartTag, getRequestContext`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, release, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionsTag

    public OptionsTag()

Method Detail

### setItems

    public void setItems(Object items)

  Set the `Collection`, `Map` or array of objects used to generate the inner '`option`' tags.

  Required when wishing to render '`option`' tags from an array, `Collection` or `Map`.

  Typically a runtime expression.

  Parameters:
    `items` - said items

### getItems

    protected Object getItems()

  Get the `Collection`, `Map` or array of objects used to generate the inner '`option`' tags.

  Typically a runtime expression.

### setItemValue

    public void setItemValue(String itemValue)

  Set the name of the property mapped to the '`value`' attribute of the '`option`' tag.

  Required when wishing to render '`option`' tags from an array or `Collection`.

  May be a runtime expression.

### getItemValue

    protected String getItemValue()

  Return the name of the property mapped to the '`value`' attribute of the '`option`' tag.

### setItemLabel

    public void setItemLabel(String itemLabel)

  Set the name of the property mapped to the label (inner text) of the '`option`' tag.

  May be a runtime expression.

### getItemLabel

    protected String getItemLabel()

  Get the name of the property mapped to the label (inner text) of the '`option`' tag.

  May be a runtime expression.

### setDisabled

    public void setDisabled(String disabled)

  Set the value of the '`disabled`' attribute.

  May be a runtime expression.

  Parameters:
    `disabled` - the value of the '`disabled`' attribute

### getDisabled

    protected String getDisabled()

  Get the value of the '`disabled`' attribute.

### isDisabled

    protected boolean isDisabled()

  Is the current HTML tag disabled?

  Returns:
    `true` if this tag is disabled

### writeTagContent

    protected int writeTagContent(TagWriter tagWriter)
                           throws JspException

  Description copied from class: `AbstractFormTag`
  Subclasses should implement this method to perform tag content rendering.

  Specified by:
    `writeTagContent` in class `AbstractFormTag`
  Returns:
    valid tag render instruction as per `Tag.doStartTag()`.
  Throws:
    `JspException`

### resolveId

    protected String resolveId()
                        throws JspException

  Appends a counter to a specified id, since we're dealing with multiple HTML elements.

  Overrides:
    `resolveId` in class `AbstractDataBoundFormElementTag`
  Throws:
    `JspException`
  See Also:
    `AbstractDataBoundFormElementTag.getId()`, `AbstractDataBoundFormElementTag.autogenerateId()`

### getBindStatus

    protected BindStatus getBindStatus()

  Description copied from class: `AbstractDataBoundFormElementTag`
  Get the `BindStatus` for this tag.

  Overrides:
    `getBindStatus` in class `AbstractDataBoundFormElementTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.